This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 228594 - Dell Inspiron 8600 w ATI Mobility Radeon fails to resume after suspend
Dell Inspiron 8600 w ATI Mobility Radeon fails to resume after suspend
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
i386 Linux
medium Severity high
: ---
: ---
Assigned To: David Zeuthen
: Reopened
Depends On:
Blocks: 427887
  Show dependency treegraph
 
Reported: 2007-02-13 16:50 EST by zoltan
Modified: 2013-03-05 22:49 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:04:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages suspend/resume section followed by kudzu -p info (23.95 KB, text/plain)
2007-02-13 16:50 EST, zoltan
no flags Details

  None (edit)
Description zoltan 2007-02-13 16:50:11 EST
System fails to resume after closing/opening laptop lid (Dell Inspiron 8600 with
ATI Mobility Radeon 9600 M10 display adapter).

All FC6 core modules up to date using yum (kernel: 2.6.19-1.2895.fc6).

Always reproducible: Start system, log on.  Close lid, system syspends, 10s
later open lid, system starts resuming, but display fails to initialize. The
display cycles through all GREY, RED, GREEN BLUE,... every few seconds forever
(until powered down).

Additional info:
- Attached relevant /var/log/messages from point of suspension to point of
powering down, showing the failed suspend/resume sequence followed by "kudzu -p"
results

If additional info or trace required, please advise what/how and I will provide.
Comment 1 zoltan 2007-02-13 16:50:11 EST
Created attachment 148018 [details]
/var/log/messages suspend/resume section followed by kudzu -p info
Comment 2 Richard Hughes 2007-02-13 16:58:55 EST
Not a gnome-power-manager bug, more likely kernel.
Comment 3 Jon Stanley 2008-01-07 20:55:52 EST
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 4 zoltan 2008-01-08 10:53:35 EST
This bug *was fixed* when Fedora 8 first came out (in Nov/07).

Unfortunately one of the recent kernel updates (2 or three updates ago)
*reintroduced* this bug into Fedora 8 :-(  Now I can again reproduce the bug by
entering suspend mode (by any means - closing laptop, or pressing Fn-Suspend)
and waking up the laptop).  The screen goes all-grey and stays like that.  Have
to power down by long power button press.

I am using the FC8 packaged ATI drivers.
Comment 5 Jon Stanley 2008-01-08 11:59:03 EST
Please attempt any applicable quirks listed at
http://people.freedesktop.org/~hughsient/quirk/ as well
Comment 6 zoltan 2008-01-08 19:53:23 EST
I apologize, I *was* using the ATI binary drivers installed as described at
FedoraSolved.org (Search: ATI drivers) (running quirk-checker pointed this out)

Removing these drivers fixed the suspend/resume problem.  Thanks!

Comment 7 zoltan 2008-02-22 19:48:49 EST
This bug has reappeared after the recent large update with kernel and X11-ati
driver packages update.
Comment 8 Jon Stanley 2008-03-06 13:51:34 EST
Can you possibly try the quirks listed in comment #5?
Comment 9 zoltan 2008-03-06 16:42:57 EST
Yes, I've tried the options with pm-suspend...  None made it come back.  Cycles
with uniform colored screen grey, blue, red,...   Has to be powered down with
the power button.  The x11-ati driver package ("to bring up to date with ATI
6.3.8 drivers") makes no difference - still fails to come back from suspend.
Comment 10 Bug Zapper 2008-11-26 02:10:53 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2009-01-09 02:04:26 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.